jQuery(document).ready(function ($) {


    var route = {
        _routes: {},    // Save routes

        add: function (url, action) {
            this._routes[url] = action;
        },

        run: function () {
            jQuery.each(this._routes, function (pattern) {
                if (location.href.match(pattern)) {
                    this();
                }
            });
        }
    };

    // Вызываем на страницах покупки квестов
    route.add('quest/', function () {
        var quest_payment_form = $("#fq-payment-form");
        $('input:radio').click(function () {
            $('label:has(input:radio:checked)').addClass('active');
            $('label:has(input:radio:not(:checked))').removeClass('active');
        });
        var item_type = $("input[name='item_type']").val();
        var success_function;
        var fail_function;
        if (item_type == "quest_promo") {
            var promo_action_name = $("input[name='promo_action_name']").val();
            var engine_root = $("input[name='engine_root']").val();
            success_function = function (data) {
                console.log(data);
                window.location = engine_root + 'promo/' + promo_action_name;
            };
            fail_function = function (xhr, ajaxOptions, thrownError) {
                window.location = engine_root + 'promo/' + promo_action_name;
            };
        } else if (item_type == "quest_paid_free") {
            var fq_home_url = $("input[name='fq_home_url']").val();
            success_function = function (data) {
                console.log(data);
                window.location = fq_home_url + '/success-payment/';
            };
            fail_function = function (xhr, ajaxOptions, thrownError) {
                window.location = fq_home_url + '/success-payment/';
            };
        } else {
            //quest_paid, mass_start, certificate, romantic, dinner, ticket, ticket_mass_start
            success_function = function (data) {
                $("#payment-options").append(data);
                quest_payment_form.off('submit').submit();
            };
            fail_function = function (xhr, ajaxOptions, thrownError) {
            };
        }
        quest_payment_form.submit(function (event) {
            event.preventDefault();
            var dan = $(this).serialize();
/*            if (item_type == "halloween_many") {
                var count = $("input[name='count']").val();
                if (count < 2 || count > 10) {
                    alert('Можно купить от 2 до 10 билетов');
                    return;
                }
            }*/
            jQuery.ajax({
                type: "POST",
                url: "/generate/",
                dataType: "text",
                data: dan,
                beforeSend: function (data) { // сoбытиe дo oтпрaвки
                    quest_payment_form.find('input[type="submit"]').attr('disabled', 'disabled');
                },
                success: success_function,
                error: fail_function
            })
        });
    });

    route.run();
    
    //disable actions for quests with "indevelopment" category
    $('.indevelopment').find(".botsec").hide();
    $('.indevelopment').find(".topsec").hide();
    $('.indevelopment').find(".portfolio-item-description").hide();
    $('.indevelopment').find("a").click(function (e) {
        e.preventDefault();
    });
});
